module.exports = {
  root: true,
  env: {
    node: true
  },
  extends: ["plugin:vue/essential", "@vue/prettier"],
  rules: {
    "no-console": process.env.NODE_ENV === "production" ? "off" : "off",
    "no-debugger": process.env.NODE_ENV === "production" ? "error" : "off",
    "no-unused-vars": [
      "error",
      { vars: "all", args: "none", ignoreRestSiblings: false }
    ],
    "vue/no-parsing-error": [2, { "x-invalid-end-tag": false }],
    "vue/no-use-v-if-with-v-for": [
      "error",
      {
        allowUsingIterationVar: true
      }
    ]
  },
  parserOptions: {
    parser: "babel-eslint"
  }
};
