export default [
  {
    id: "1272831",
    name: "首页",
    url: "HomePage",
    type: "MENU",
    parentId: "1",
    sequence: 1,
    enable: true
  },
  {
    id: "2",
    name: "用户管理",
    url: "user",
    type: "MENU",
    parentId: "1",
    sequence: 1,
    enable: true
  },
  {
    id: "4",
    name: "组织架构",
    url: "OrganizationManage",
    type: "MENU",
    parentId: "2",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "92",
        name: "组织机构-查询",
        url: "/api/admin/sys/org/list",
        type: "URL",
        parentId: "4",
        sequence: 1,
        enable: true
      },
      {
        id: "93",
        name: "组织机构-新增/修改",
        url: "/api/admin/sys/org/save",
        type: "URL",
        parentId: "4",
        sequence: 2,
        enable: true
      },
      {
        id: "94",
        name: "组织机构-删除",
        url: "/api/admin/sys/org/remove",
        type: "URL",
        parentId: "4",
        sequence: 3,
        enable: true
      },
      {
        id: "371",
        name: "根据类型查询机构",
        url: "/api/admin/sys/org/find_by_type",
        type: "URL",
        parentId: "4",
        sequence: 5,
        enable: true
      }
    ],
    buttons: [
      {
        id: "224",
        name: "组织架构-添加",
        url: "Add",
        type: "BUTTON",
        parentId: "4",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "225",
        name: "组织架构-+子部门",
        url: "Add",
        type: "LINK",
        parentId: "4",
        sequence: 1,
        enable: true
      },
      {
        id: "226",
        name: "组织架构-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "4",
        sequence: 2,
        enable: true
      },
      {
        id: "227",
        name: "组织架构-删除",
        url: "Delete",
        type: "LINK",
        parentId: "4",
        sequence: 3,
        enable: true
      }
    ],
    lists: [
      {
        id: "228",
        name: "组织架构-树形列表",
        url: "List",
        type: "LIST",
        parentId: "4",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "234",
        name: "组织架构-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "4",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "8",
    name: "通用规则",
    url: "CommonRule",
    type: "MENU",
    parentId: "3",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "99",
        name: "考务规则-查询",
        url: "/api/admin/basic/exam_rule/list",
        type: "URL",
        parentId: "8",
        sequence: 1,
        enable: true
      },
      {
        id: "100",
        name: "考务规则-新增/修改",
        url: "/api/admin/basic/exam_rule/save",
        type: "URL",
        parentId: "8",
        sequence: 2,
        enable: true
      }
    ],
    buttons: [
      {
        id: "236",
        name: "考务规则-考务规则配置",
        url: "Add",
        type: "BUTTON",
        parentId: "8",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "15",
    name: "我的工作台",
    url: "work",
    type: "MENU",
    parentId: "14",
    sequence: 1,
    enable: true
  },
  {
    id: "16",
    name: "待办任务",
    url: "WaitTask",
    type: "MENU",
    parentId: "15",
    sequence: 1,
    enable: true
  },
  {
    id: "38",
    name: "印刷管理",
    url: "print",
    type: "MENU",
    parentId: "14",
    sequence: 1,
    enable: true
  },
  {
    id: "39",
    name: "命题任务管理",
    url: "ExamTaskManage",
    type: "MENU",
    parentId: "652",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "63",
        name: "命题任务管理-查询",
        url: "/api/admin/exam/task/list",
        type: "URL",
        parentId: "39",
        sequence: 1,
        enable: true
      },
      {
        id: "64",
        name: "命题任务管理-更改/指派命题老师",
        url: "/api/admin/exam/task/assign_user",
        type: "URL",
        parentId: "39",
        sequence: 2,
        enable: true
      },
      {
        id: "65",
        name: "命题任务管理-启用/禁用",
        url: "/api/admin/exam/task/enable",
        type: "URL",
        parentId: "39",
        sequence: 3,
        enable: true
      },
      {
        id: "66",
        name: "命题任务管理-新建",
        url: "/api/admin/exam/task/save",
        type: "URL",
        parentId: "39",
        sequence: 4,
        enable: true
      },
      {
        id: "67",
        name: "命题任务管理-批量新建-文件导入",
        url: "/api/admin/exam/task/import",
        type: "URL",
        parentId: "39",
        sequence: 5,
        enable: true
      },
      {
        id: "68",
        name: "命题任务管理-批量新建",
        url: "/api/admin/exam/task/save_batch",
        type: "URL",
        parentId: "39",
        sequence: 6,
        enable: true
      },
      {
        id: "169",
        name: "命题任务管理-根据课程查询命题老师",
        url: "/api/admin/sys/user/user_list",
        type: "URL",
        parentId: "39",
        sequence: 7,
        enable: true
      },
      {
        id: "465",
        name: "新建命题申请-班级列表",
        url: "/api/admin/exam/task/list_task_apply_class",
        type: "URL",
        parentId: "39",
        sequence: 9,
        enable: true
      },
      {
        id: "466",
        name: "命题任务-审批-获取试卷审批表数据",
        url: "/api/admin/exam/task/find_approve_form_json",
        type: "URL",
        parentId: "39",
        sequence: 10,
        enable: true
      },
      {
        id: "467",
        name: "命题任务-审批-获取试卷审批表pdf",
        url: "/api/admin/exam/task/find_approve_form_pdf",
        type: "URL",
        parentId: "39",
        sequence: 11,
        enable: true
      },
      {
        id: "477",
        name: "命题任务-考试对象查询",
        url: "/api/admin/exam/task/find_exam_object",
        type: "URL",
        parentId: "39",
        sequence: 12,
        enable: true
      }
    ],
    buttons: [
      {
        id: "272",
        name: "命题任务管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "39",
        sequence: 1,
        enable: true
      },
      {
        id: "273",
        name: "命题任务管理-批量新建命题任务",
        url: "BatchAdd",
        type: "BUTTON",
        parentId: "39",
        sequence: 2,
        enable: true
      },
      {
        id: "274",
        name: "命题任务管理-新建命题任务",
        url: "Add",
        type: "BUTTON",
        parentId: "39",
        sequence: 3,
        enable: true
      }
    ],
    links: [
      {
        id: "275",
        name: "命题任务管理-预览",
        url: "Preview",
        type: "LINK",
        parentId: "39",
        sequence: 1,
        enable: true
      },
      {
        id: "276",
        name: "命题任务管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "39",
        sequence: 2,
        enable: true
      },
      {
        id: "277",
        name: "命题任务管理-取消任务",
        url: "Cancel",
        type: "LINK",
        parentId: "39",
        sequence: 3,
        enable: true
      },
      {
        id: "448",
        name: "命题任务管理-更改/指派命题老师",
        url: "ASSIGN",
        type: "LINK",
        parentId: "39",
        sequence: 4,
        enable: true
      }
    ],
    lists: [
      {
        id: "279",
        name: "命题任务管理-列表",
        url: "List",
        type: "LIST",
        parentId: "39",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "278",
        name: "命题任务管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "39",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "43",
    name: "印刷计划管理",
    url: "PrintPlanManage",
    type: "MENU",
    parentId: "38",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "48",
        name: "印刷计划管理-查询",
        url: "/api/admin/exam/print/list",
        type: "URL",
        parentId: "43",
        sequence: 1,
        enable: true
      },
      {
        id: "49",
        name: "印刷计划管理-按类型查询模板",
        url: "/api/admin/exam/print/get_template",
        type: "URL",
        parentId: "43",
        sequence: 2,
        enable: true
      },
      {
        id: "50",
        name: "印刷计划管理-新增/修改",
        url: "/api/admin/exam/print/save",
        type: "URL",
        parentId: "43",
        sequence: 3,
        enable: true
      },
      {
        id: "51",
        name: "印刷计划管理-删除",
        url: "/api/admin/exam/print/remove",
        type: "URL",
        parentId: "43",
        sequence: 4,
        enable: true
      }
    ],
    buttons: [
      {
        id: "309",
        name: "印刷计划管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "43",
        sequence: 1,
        enable: true
      },
      {
        id: "310",
        name: "印刷计划管理-新建印刷计划",
        url: "Add",
        type: "BUTTON",
        parentId: "43",
        sequence: 2,
        enable: true
      },
      {
        id: "412",
        name: "印刷计划管理-提交印刷",
        url: "Submit",
        type: "BUTTON",
        parentId: "43",
        sequence: 3,
        enable: true
      }
    ],
    links: [
      {
        id: "311",
        name: "印刷计划管理-预览",
        url: "Preview",
        type: "LINK",
        parentId: "43",
        sequence: 1,
        enable: true
      },
      {
        id: "312",
        name: "印刷计划管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "43",
        sequence: 2,
        enable: true
      },
      {
        id: "313",
        name: "印刷计划管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "43",
        sequence: 3,
        enable: true
      }
    ],
    lists: [
      {
        id: "315",
        name: "印刷计划管理-列表",
        url: "List",
        type: "LIST",
        parentId: "43",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "314",
        name: "印刷计划管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "43",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "113",
    name: "任务管理",
    url: "DataTaskManage",
    type: "MENU",
    parentId: "112",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "114",
        name: "任务管理-查询",
        url: "/api/admin/data/task/query",
        type: "URL",
        parentId: "113",
        sequence: 1,
        enable: true
      },
      {
        id: "190",
        name: "任务管理-重新生成pdf",
        url: "/api/admin/data/task/reset_create_pdf",
        type: "URL",
        parentId: "113",
        sequence: 2,
        enable: true
      }
    ],
    buttons: [
      {
        id: "337",
        name: "任务管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "113",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "338",
        name: "任务管理-导出日志",
        url: "Export",
        type: "LINK",
        parentId: "113",
        sequence: 1,
        enable: true
      },
      {
        id: "339",
        name: "任务管理-下载文件",
        url: "Download",
        type: "LINK",
        parentId: "113",
        sequence: 2,
        enable: true
      },
      {
        id: "413",
        name: "任务管理-重新生成pdf",
        url: "CreatePdf",
        type: "LINK",
        parentId: "113",
        sequence: 3,
        enable: true
      }
    ],
    lists: [
      {
        id: "341",
        name: "任务管理-列表",
        url: "List",
        type: "LIST",
        parentId: "113",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "340",
        name: "任务管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "113",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "402",
    name: "流程管理",
    url: "FlowManage",
    type: "MENU",
    parentId: "390",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "414",
        name: "流程管理-保存和发布流程",
        url: "/api/admin/custom/flow/save",
        type: "URL",
        parentId: "402",
        sequence: 1,
        enable: true
      },
      {
        id: "415",
        name: "流程管理-流程逻辑删除",
        url: "/api/admin/custom/flow/enable",
        type: "URL",
        parentId: "402",
        sequence: 2,
        enable: true
      },
      {
        id: "416",
        name: "流程管理-流程列表",
        url: "/api/admin/custom/flow/list",
        type: "URL",
        parentId: "402",
        sequence: 3,
        enable: true
      },
      {
        id: "417",
        name: "流程管理-审批流程",
        url: "/api/admin/custom/flow/task/approve",
        type: "URL",
        parentId: "402",
        sequence: 4,
        enable: true
      },
      {
        id: "418",
        name: "流程管理-流程审批记录列表",
        url: "/api/admin/custom/flow/approve/list",
        type: "URL",
        parentId: "402",
        sequence: 5,
        enable: true
      },
      {
        id: "419",
        name: "流程管理-流程审批记录逻辑删除",
        url: "/api/admin/custom/flow/approve/enable",
        type: "URL",
        parentId: "402",
        sequence: 6,
        enable: true
      },
      {
        id: "420",
        name: "流程管理-流程终止",
        url: "/api/admin/custom/flow/end",
        type: "URL",
        parentId: "402",
        sequence: 7,
        enable: true
      },
      {
        id: "421",
        name: "流程管理-获取所有流程节点",
        url: "/api/admin/custom/flow/task/all",
        type: "URL",
        parentId: "402",
        sequence: 8,
        enable: true
      },
      {
        id: "441",
        name: "流程管理-根据流程类型获取流程节点",
        url: "/api/admin/custom/flow/get_flow_info_by_type",
        type: "URL",
        parentId: "402",
        sequence: 9,
        enable: true
      },
      {
        id: "442",
        name: "流程管理-流程节点转他人审批",
        url: "/api/admin/custom/flow/task/approver/exchange",
        type: "URL",
        parentId: "402",
        sequence: 10,
        enable: true
      },
      {
        id: "639",
        name: "流程管理-编辑流程",
        url: "/api/admin/custom/flow/edit",
        type: "URL",
        parentId: "402",
        sequence: 14,
        enable: true
      },
      {
        id: "640",
        name: "流程管理-获取当前流程节点信息",
        url: "/api/admin/custom/flow/task/info",
        type: "URL",
        parentId: "402",
        sequence: 15,
        enable: true
      },
      {
        id: "641",
        name: "流程管理-查看流程信息",
        url: "/api/admin/custom/flow/view",
        type: "URL",
        parentId: "402",
        sequence: 16,
        enable: true
      },
      {
        id: "644",
        name: "流程管理-重命名自定义流程名称",
        url: "/api/admin/custom/flow/rename",
        type: "URL",
        parentId: "402",
        sequence: 17,
        enable: true
      }
    ],
    buttons: [
      {
        id: "407",
        name: "流程管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "402",
        sequence: 1,
        enable: true
      },
      {
        id: "408",
        name: "流程管理-新建流程",
        url: "Register",
        type: "BUTTON",
        parentId: "402",
        sequence: 2,
        enable: true
      }
    ],
    links: [
      {
        id: "638",
        name: "流程管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "402",
        sequence: 1,
        enable: true
      },
      {
        id: "409",
        name: "流程管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "402",
        sequence: 2,
        enable: true
      },
      {
        id: "643",
        name: "流程管理-重命名",
        url: "Rename",
        type: "LINK",
        parentId: "402",
        sequence: 3,
        enable: true
      }
    ],
    lists: [
      {
        id: "411",
        name: "流程管理-列表",
        url: "List",
        type: "LIST",
        parentId: "402",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "410",
        name: "流程管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "402",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "470",
    name: "命题计划统计表",
    url: "StatisticsManage",
    type: "MENU",
    parentId: "469",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "475",
        name: "命题计划统计-导入",
        url: "/api/admin/statistics/import",
        type: "URL",
        parentId: "470",
        sequence: 1,
        enable: true
      },
      {
        id: "476",
        name: "命题计划统计-列表",
        url: "/api/admin/statistics/list",
        type: "URL",
        parentId: "470",
        sequence: 2,
        enable: true
      },
      {
        id: "480",
        name: "命题计划统计-刷新数据",
        url: "/api/admin/statistics/freshen",
        type: "URL",
        parentId: "470",
        sequence: 3,
        enable: true
      },
      {
        id: "481",
        name: "命题计划统计-删除数据",
        url: "/api/admin/statistics/delete",
        type: "URL",
        parentId: "470",
        sequence: 4,
        enable: true
      }
    ],
    buttons: [
      {
        id: "471",
        name: "命题计划统计表-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "470",
        sequence: 1,
        enable: true
      },
      {
        id: "472",
        name: "命题计划统计表-模板下载",
        url: "Download",
        type: "BUTTON",
        parentId: "470",
        sequence: 2,
        enable: true
      },
      {
        id: "473",
        name: "命题计划统计表-导入",
        url: "Import",
        type: "BUTTON",
        parentId: "470",
        sequence: 3,
        enable: true
      },
      {
        id: "478",
        name: "命题计划统计-刷新数据",
        url: "Freshen",
        type: "BUTTON",
        parentId: "470",
        sequence: 4,
        enable: true
      },
      {
        id: "479",
        name: "命题计划统计-删除数据",
        url: "Delete",
        type: "BUTTON",
        parentId: "470",
        sequence: 5,
        enable: true
      }
    ],
    lists: [
      {
        id: "474",
        name: "命题计划统计表-列表",
        url: "List",
        type: "LIST",
        parentId: "470",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "487",
    name: "成绩归档",
    url: "ScoreArchive",
    type: "MENU",
    parentId: "561",
    sequence: 1,
    enable: true,
    buttons: [
      {
        id: "500",
        name: "成绩归档-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "487",
        sequence: 1,
        enable: true
      },
      {
        id: "501",
        name: "成绩归档-数据同步",
        url: "Sync",
        type: "BUTTON",
        parentId: "487",
        sequence: 2,
        enable: true
      },
      {
        id: "502",
        name: "成绩归档-成绩导出",
        url: "Export",
        type: "BUTTON",
        parentId: "487",
        sequence: 3,
        enable: true
      },
      {
        id: "503",
        name: "成绩归档-一键下载",
        url: "BatchDownload",
        type: "BUTTON",
        parentId: "487",
        sequence: 4,
        enable: true
      }
    ],
    links: [
      {
        id: "504",
        name: "成绩归档-查看原卷",
        url: "Preview",
        type: "LINK",
        parentId: "487",
        sequence: 1,
        enable: true
      },
      {
        id: "505",
        name: "成绩归档-下载",
        url: "Download",
        type: "LINK",
        parentId: "487",
        sequence: 2,
        enable: true
      }
    ],
    lists: [
      {
        id: "498",
        name: "成绩归档-列表",
        url: "List",
        type: "LIST",
        parentId: "487",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "499",
        name: "成绩归档-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "487",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "491",
    name: "阅卷管理",
    url: "MarkerLogin",
    type: "MENU",
    parentId: "486",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "541",
        name: "获取用户阅卷角色",
        url: "/api/admin/common/get_open_role",
        type: "URL",
        parentId: "491",
        sequence: 1,
        enable: true
      },
      {
        id: "492",
        name: "评卷员登录",
        url: "/api/admin/exam/sso/marker_login",
        type: "URL",
        parentId: "491",
        sequence: 3,
        enable: true
      },
      {
        id: "493",
        name: "科组长登录",
        url: "/api/admin/exam/sso/marker_leader_login",
        type: "URL",
        parentId: "491",
        sequence: 4,
        enable: true
      }
    ]
  },
  {
    id: "510",
    name: "学期管理",
    url: "SemesterManage",
    type: "MENU",
    parentId: "356",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "533",
        name: "学期管理-查询",
        url: "/api/admin/basic/semester/query",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "560",
        name: "学期管理-设置当前使用学期",
        url: "/api/admin/basic/semester/set_in_used",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "534",
        name: "学期管理-新增/编辑",
        url: "/api/admin/basic/semester/save",
        type: "URL",
        parentId: "510",
        sequence: 2,
        enable: true
      },
      {
        id: "535",
        name: "学期管理-删除",
        url: "/api/admin/basic/semester/delete",
        type: "URL",
        parentId: "510",
        sequence: 3,
        enable: true
      }
    ],
    buttons: [
      {
        id: "511",
        name: "学期管理-新建学期",
        url: "Add",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "512",
        name: "学期管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "559",
        name: "学期管理-设置当前使用学期",
        url: "Edit",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "513",
        name: "学期管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "510",
        sequence: 2,
        enable: true
      }
    ],
    lists: [
      {
        id: "514",
        name: "学期管理-列表",
        url: "List",
        type: "LIST",
        parentId: "510",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "561",
    name: "归档管理",
    url: "ScoreArchivePrimary",
    type: "MENU",
    parentId: "506",
    sequence: 1,
    enable: true
  },
  {
    id: "575",
    name: "基础信息",
    url: "basicInfo",
    type: "MENU",
    parentId: "650",
    sequence: 1,
    enable: true
  },
  {
    id: "576",
    name: "教学课程管理",
    url: "CourseSimpleManage",
    type: "MENU",
    parentId: "575",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "577",
        name: "教学课程-查询",
        url: "/api/admin/teach/course/page",
        type: "URL",
        parentId: "576",
        sequence: 1,
        enable: true
      },
      {
        id: "578",
        name: "教学课程-查找基础课程",
        url: "/api/admin/teach/course/find_basic_course",
        type: "URL",
        parentId: "576",
        sequence: 2,
        enable: true
      },
      {
        id: "579",
        name: "教学课程-创建教学课程",
        url: "/api/admin/teach/course/create",
        type: "URL",
        parentId: "576",
        sequence: 3,
        enable: true
      },
      {
        id: "580",
        name: "教学课程-批量删除",
        url: "/api/admin/teach/course/delete",
        type: "URL",
        parentId: "576",
        sequence: 4,
        enable: true
      }
    ],
    buttons: [
      {
        id: "582",
        name: "教学课程-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "576",
        sequence: 2,
        enable: true
      },
      {
        id: "583",
        name: "教学课程-新增",
        url: "Add",
        type: "BUTTON",
        parentId: "576",
        sequence: 3,
        enable: true
      }
    ],
    links: [
      {
        id: "584",
        name: "教学课程-删除",
        url: "Delete",
        type: "LINK",
        parentId: "576",
        sequence: 4,
        enable: true
      },
      {
        id: "585",
        name: "教学课程-班级管理",
        url: "Link",
        type: "LINK",
        parentId: "576",
        sequence: 5,
        enable: true
      }
    ],
    lists: [
      {
        id: "581",
        name: "教学课程-列表",
        url: "List",
        type: "LIST",
        parentId: "576",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "608",
        name: "教学课程-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "576",
        sequence: 6,
        enable: true
      }
    ]
  },
  {
    id: "652",
    name: "电子交卷",
    url: "electronicSubmit",
    type: "MENU",
    parentId: "651",
    sequence: 1,
    enable: true
  },
  {
    id: "3",
    name: "配置管理",
    url: "rule",
    type: "MENU",
    parentId: "1",
    sequence: 2,
    enable: true
  },
  {
    id: "5",
    name: "用户管理",
    url: "UserManage",
    type: "MENU",
    parentId: "2",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "77",
        name: "用户管理-查询",
        url: "/api/admin/sys/user/list",
        type: "URL",
        parentId: "5",
        sequence: 1,
        enable: true
      },
      {
        id: "78",
        name: "用户管理-新增/修改",
        url: "/api/admin/sys/user/save",
        type: "URL",
        parentId: "5",
        sequence: 2,
        enable: true
      },
      {
        id: "79",
        name: "用户管理-启用/禁用",
        url: "/api/admin/sys/user/enable",
        type: "URL",
        parentId: "5",
        sequence: 3,
        enable: true
      },
      {
        id: "80",
        name: "用户管理-重置密码",
        url: "/api/admin/sys/user/reset_password",
        type: "URL",
        parentId: "5",
        sequence: 4,
        enable: true
      },
      {
        id: "81",
        name: "用户管理-导入",
        url: "/api/admin/sys/user/import",
        type: "URL",
        parentId: "5",
        sequence: 5,
        enable: true
      },
      {
        id: "87",
        name: "用户管理-用户已绑定角色列表",
        url: "/api/admin/sys/role/get_user_roles",
        type: "URL",
        parentId: "5",
        sequence: 5,
        enable: true
      },
      {
        id: "184",
        name: "用户管理-查询用户可绑定角色",
        url: "/api/admin/sys/role/list_to_user",
        type: "URL",
        parentId: "5",
        sequence: 7,
        enable: true
      },
      {
        id: "532",
        name: "用户管理-同步",
        url: "/api/admin/sys/user/push",
        type: "URL",
        parentId: "5",
        sequence: 8,
        enable: true
      }
    ],
    buttons: [
      {
        id: "217",
        name: "用户管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "5",
        sequence: 1,
        enable: true
      },
      {
        id: "509",
        name: "用户管理-同步",
        url: "SyncUser",
        type: "BUTTON",
        parentId: "5",
        sequence: 1,
        enable: true
      },
      {
        id: "218",
        name: "用户管理-添加用户",
        url: "Add",
        type: "BUTTON",
        parentId: "5",
        sequence: 2,
        enable: true
      },
      {
        id: "243",
        name: "用户管理-批量导入",
        url: "Export",
        type: "BUTTON",
        parentId: "5",
        sequence: 3,
        enable: true
      }
    ],
    links: [
      {
        id: "219",
        name: "用户管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "5",
        sequence: 1,
        enable: true
      },
      {
        id: "220",
        name: "用户管理-启用&禁用",
        url: "Enable",
        type: "LINK",
        parentId: "5",
        sequence: 2,
        enable: true
      },
      {
        id: "223",
        name: "用户管理-重置密码",
        url: "Reset",
        type: "LINK",
        parentId: "5",
        sequence: 3,
        enable: true
      }
    ],
    lists: [
      {
        id: "221",
        name: "用户管理-列表",
        url: "List",
        type: "LIST",
        parentId: "5",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "222",
        name: "用户管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "5",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "9",
    name: "题卡规则管理",
    url: "CardRuleManage",
    type: "MENU",
    parentId: "3",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "101",
        name: "题卡规则-查询",
        url: "/api/admin/basic/card_rule/list",
        type: "URL",
        parentId: "9",
        sequence: 1,
        enable: true
      },
      {
        id: "102",
        name: "题卡规则-查询单个",
        url: "/api/admin/basic/card_rule/get_one",
        type: "URL",
        parentId: "9",
        sequence: 2,
        enable: true
      },
      {
        id: "103",
        name: "题卡规则-新增/修改",
        url: "/api/admin/basic/card_rule/save",
        type: "URL",
        parentId: "9",
        sequence: 3,
        enable: true
      },
      {
        id: "104",
        name: "题卡规则-启用/禁用",
        url: "/api/admin/basic/card_rule/enable",
        type: "URL",
        parentId: "9",
        sequence: 4,
        enable: true
      }
    ],
    buttons: [
      {
        id: "237",
        name: "题卡规则-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "9",
        sequence: 1,
        enable: true
      },
      {
        id: "238",
        name: "题卡规则-添加",
        url: "Add",
        type: "BUTTON",
        parentId: "9",
        sequence: 2,
        enable: true
      }
    ],
    links: [
      {
        id: "342",
        name: "题卡规则-预览",
        url: "Preview",
        type: "LINK",
        parentId: "9",
        sequence: 1,
        enable: true
      },
      {
        id: "343",
        name: "题卡规则-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "9",
        sequence: 2,
        enable: true
      },
      {
        id: "345",
        name: "题卡规则-启用&禁用",
        url: "Enable",
        type: "LINK",
        parentId: "9",
        sequence: 3,
        enable: true
      }
    ],
    lists: [
      {
        id: "240",
        name: "题卡规则-列表",
        url: "List",
        type: "LIST",
        parentId: "9",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "239",
        name: "题卡规则-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "9",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "40",
    name: "入库申请",
    url: "TaskApplyManage",
    type: "MENU",
    parentId: "652",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "70",
        name: "入库申请-查询",
        url: "/api/admin/exam/task/apply_list",
        type: "URL",
        parentId: "40",
        sequence: 1,
        enable: true
      },
      {
        id: "71",
        name: "入库申请-提交/暂存",
        url: "/api/admin/exam/task/apply_save",
        type: "URL",
        parentId: "40",
        sequence: 2,
        enable: true
      },
      {
        id: "424",
        name: "入库申请-新建命题任务-切换题卡",
        url: "/api/admin/exam/task/switch_card",
        type: "URL",
        parentId: "40",
        sequence: 2,
        enable: true
      },
      {
        id: "566",
        name: "审核-印刷员驳回后命题老师修改",
        url: "/api/admin/exam/task/apply_resave",
        type: "URL",
        parentId: "40",
        sequence: 2,
        enable: true
      },
      {
        id: "72",
        name: "入库申请-撤回/重新申请",
        url: "/api/admin/exam/task/apply_status",
        type: "URL",
        parentId: "40",
        sequence: 3,
        enable: true
      },
      {
        id: "167",
        name: "入库申请-查询可选择题卡",
        url: "/api/admin/exam/card/select_card_list",
        type: "URL",
        parentId: "40",
        sequence: 4,
        enable: true
      },
      {
        id: "168",
        name: "入库申请-查询申请详情",
        url: "/api/admin/exam/task/apply_get_one",
        type: "URL",
        parentId: "40",
        sequence: 5,
        enable: true
      },
      {
        id: "174",
        name: "入库申请-申请客服制卡",
        url: "/api/admin/exam/card/cust_save",
        type: "URL",
        parentId: "40",
        sequence: 6,
        enable: true
      },
      {
        id: "568",
        name: "入库申请-查询任务详情",
        url: "/api/admin/exam/task/exam_task_get_one",
        type: "URL",
        parentId: "40",
        sequence: 6,
        enable: true
      },
      {
        id: "464",
        name: "新建命题申请",
        url: "/api/admin/exam/task/submit_task_apply",
        type: "URL",
        parentId: "40",
        sequence: 8,
        enable: true
      }
    ],
    buttons: [
      {
        id: "280",
        name: "入库申请-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "40",
        sequence: 1,
        enable: true
      },
      {
        id: "463",
        name: "入库申请-新建命题任务",
        url: "ExamTaskApplyManage",
        type: "BUTTON",
        parentId: "40",
        sequence: 8,
        enable: true
      }
    ],
    links: [
      {
        id: "281",
        name: "入库申请-预览",
        url: "Preview",
        type: "LINK",
        parentId: "40",
        sequence: 1,
        enable: true
      },
      {
        id: "282",
        name: "入库申请-撤销申请",
        url: "End",
        type: "LINK",
        parentId: "40",
        sequence: 2,
        enable: true
      },
      {
        id: "283",
        name: "入库申请-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "40",
        sequence: 3,
        enable: true
      },
      {
        id: "468",
        name: "入库申请-下载审批表",
        url: "Download",
        type: "LINK",
        parentId: "40",
        sequence: 5,
        enable: true
      }
    ],
    lists: [
      {
        id: "285",
        name: "入库申请-列表",
        url: "List",
        type: "LIST",
        parentId: "40",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "284",
        name: "入库申请-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "40",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "44",
    name: "考务数据导入",
    url: "BusinessDataExport",
    type: "MENU",
    parentId: "38",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "52",
        name: "考务数据导入-查询",
        url: "/api/admin/exam/print/data_list",
        type: "URL",
        parentId: "44",
        sequence: 1,
        enable: true
      },
      {
        id: "53",
        name: "考务数据导入-汇总数据查询",
        url: "/api/admin/exam/print/data_total",
        type: "URL",
        parentId: "44",
        sequence: 2,
        enable: true
      },
      {
        id: "54",
        name: "考务数据导入-导入",
        url: "/api/admin/exam/print/data_import",
        type: "URL",
        parentId: "44",
        sequence: 3,
        enable: true
      },
      {
        id: "55",
        name: "考务数据导入-查看明细",
        url: "/api/admin/exam/print/data_detail_list",
        type: "URL",
        parentId: "44",
        sequence: 4,
        enable: true
      },
      {
        id: "157",
        name: "考务数据导入-模板下载",
        url: "/api/admin/exam/print/template_download",
        type: "URL",
        parentId: "44",
        sequence: 5,
        enable: true
      },
      {
        id: "158",
        name: "考务数据导入-结果导出",
        url: "/api/admin/exam/print/data_export",
        type: "URL",
        parentId: "44",
        sequence: 6,
        enable: true
      }
    ],
    buttons: [
      {
        id: "316",
        name: "考务数据导入-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "44",
        sequence: 1,
        enable: true
      },
      {
        id: "317",
        name: "考务数据导入-考务数据模版下载",
        url: "TempleteDownload",
        type: "BUTTON",
        parentId: "44",
        sequence: 2,
        enable: true
      },
      {
        id: "318",
        name: "考务数据导入-导出查询结果",
        url: "Export",
        type: "BUTTON",
        parentId: "44",
        sequence: 3,
        enable: true
      },
      {
        id: "319",
        name: "考务数据导入-导入",
        url: "Import",
        type: "BUTTON",
        parentId: "44",
        sequence: 4,
        enable: true
      }
    ],
    links: [
      {
        id: "320",
        name: "考务数据导入-预览",
        url: "Preview",
        type: "LINK",
        parentId: "44",
        sequence: 1,
        enable: true
      }
    ],
    lists: [
      {
        id: "322",
        name: "考务数据导入-列表",
        url: "List",
        type: "LIST",
        parentId: "44",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "321",
        name: "考务数据导入-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "44",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "403",
    name: "流程审批记录管理",
    url: "ApproveRecordManage",
    type: "MENU",
    parentId: "390",
    sequence: 2,
    enable: true,
    buttons: [
      {
        id: "404",
        name: "流程审批记录管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "403",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "422",
        name: "流程审批记录管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "403",
        sequence: 1,
        enable: true
      },
      {
        id: "567",
        name: "流程审批记录管理-查看",
        url: "Preview",
        type: "LINK",
        parentId: "403",
        sequence: 1,
        enable: true
      }
    ],
    lists: [
      {
        id: "406",
        name: "流程审批记录管理-列表",
        url: "List",
        type: "LIST",
        parentId: "403",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "405",
        name: "流程审批记录管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "403",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "469",
    name: "命题计划统计",
    url: "Statistics",
    type: "MENU",
    parentId: "14",
    sequence: 2,
    enable: true
  },
  {
    id: "488",
    name: "评卷参数设置",
    url: "UploadStructure",
    type: "MENU",
    parentId: "486",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "489",
        name: "试卷结构上传列表",
        url: "/api/admin/exam/structure/list",
        type: "URL",
        parentId: "488",
        sequence: 1,
        enable: true
      },
      {
        id: "490",
        name: "试卷结构上传提交",
        url: "/api/admin/exam/structure/upload",
        type: "URL",
        parentId: "488",
        sequence: 2,
        enable: true
      },
      {
        id: "540",
        name: "试卷结构/标答上传-查看试卷结构",
        url: "/api/admin/exam/structure/preview_structure",
        type: "URL",
        parentId: "488",
        sequence: 4,
        enable: true
      }
    ],
    links: [
      {
        id: "495",
        name: "试卷结构/标答上传-上传试卷结构/标答",
        url: "Upload",
        type: "LINK",
        parentId: "488",
        sequence: 1,
        enable: true
      },
      {
        id: "496",
        name: "试卷结构/标答上传-查看试卷结构",
        url: "Preview",
        type: "LINK",
        parentId: "488",
        sequence: 2,
        enable: true
      },
      {
        id: "497",
        name: "试卷结构/标答上传-查看标答",
        url: "Preview",
        type: "LINK",
        parentId: "488",
        sequence: 3,
        enable: true
      }
    ],
    lists: [
      {
        id: "494",
        name: "试卷结构/标答上传-列表",
        url: "List",
        type: "LIST",
        parentId: "488",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "521",
    name: "同步管理",
    url: "SyncManage",
    type: "MENU",
    parentId: "112",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "557",
        name: "同步任务管理-查询",
        url: "/api/admin/data/sync/query",
        type: "URL",
        parentId: "521",
        sequence: 1,
        enable: true
      }
    ],
    buttons: [
      {
        id: "523",
        name: "同步管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "521",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "526",
        name: "同步管理-导出日志",
        url: "Export",
        type: "LINK",
        parentId: "521",
        sequence: 1,
        enable: true
      }
    ],
    lists: [
      {
        id: "525",
        name: "同步管理-列表",
        url: "List",
        type: "LIST",
        parentId: "521",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "524",
        name: "同步管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "521",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "586",
    name: "教学班级管理",
    url: "ClazzSimpleManage",
    type: "MENU",
    parentId: "575",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "587",
        name: "教学班级-查询",
        url: "/api/admin/teach/clazz/page",
        type: "URL",
        parentId: "586",
        sequence: 1,
        enable: true
      },
      {
        id: "588",
        name: "教学班级-编辑教学班级",
        url: "/api/admin/teach/clazz/edit",
        type: "URL",
        parentId: "586",
        sequence: 2,
        enable: true
      },
      {
        id: "589",
        name: "教学班级-批量删除",
        url: "/api/admin/teach/clazz/delete",
        type: "URL",
        parentId: "586",
        sequence: 3,
        enable: true
      },
      {
        id: "590",
        name: "教学班级-查找教学课程",
        url: "/api/admin/teach/clazz/find_teach_course",
        type: "URL",
        parentId: "586",
        sequence: 4,
        enable: true
      }
    ],
    buttons: [
      {
        id: "592",
        name: "教学班级-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "586",
        sequence: 2,
        enable: true
      },
      {
        id: "594",
        name: "教学班级-新增",
        url: "Add",
        type: "BUTTON",
        parentId: "586",
        sequence: 4,
        enable: true
      }
    ],
    links: [
      {
        id: "595",
        name: "教学班级-重命名",
        url: "Edit",
        type: "LINK",
        parentId: "586",
        sequence: 5,
        enable: true
      },
      {
        id: "596",
        name: "教学班级-删除",
        url: "Delete",
        type: "LINK",
        parentId: "586",
        sequence: 6,
        enable: true
      },
      {
        id: "597",
        name: "教学班级-人员管理",
        url: "Window",
        type: "LINK",
        parentId: "586",
        sequence: 7,
        enable: true
      }
    ],
    lists: [
      {
        id: "591",
        name: "教学班级-列表",
        url: "List",
        type: "LIST",
        parentId: "586",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "593",
        name: "教学班级-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "586",
        sequence: 3,
        enable: true
      }
    ]
  },
  {
    id: "609",
    name: "考试管理",
    url: "ExamManage",
    type: "MENU",
    parentId: "356",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "616",
        name: "考试管理-查询",
        url: "/api/admin/basic/exam/page",
        type: "URL",
        parentId: "609",
        sequence: 1,
        enable: true
      },
      {
        id: "617",
        name: "考试管理-新增/修改",
        url: "/api/admin/basic/exam/save",
        type: "URL",
        parentId: "609",
        sequence: 2,
        enable: true
      },
      {
        id: "618",
        name: "考试管理-启用/禁用",
        url: "/api/admin/basic/exam/enable",
        type: "URL",
        parentId: "609",
        sequence: 3,
        enable: true
      },
      {
        id: "619",
        name: "考试管理-删除",
        url: "/api/admin/basic/exam/delete",
        type: "URL",
        parentId: "609",
        sequence: 4,
        enable: true
      },
      {
        id: "620",
        name: "考试管理-设置",
        url: "/api/admin/basic/exam/set_in_userd",
        type: "URL",
        parentId: "609",
        sequence: 5,
        enable: true
      }
    ],
    buttons: [
      {
        id: "610",
        name: "考试管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "609",
        sequence: 1,
        enable: true
      },
      {
        id: "611",
        name: "考试管理-新增",
        url: "Add",
        type: "BUTTON",
        parentId: "609",
        sequence: 3,
        enable: true
      }
    ],
    links: [
      {
        id: "612",
        name: "考试管理-启用/禁用",
        url: "Enable",
        type: "LINK",
        parentId: "609",
        sequence: 4,
        enable: true
      },
      {
        id: "613",
        name: "考试管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "609",
        sequence: 5,
        enable: true
      },
      {
        id: "614",
        name: "考试管理-设置",
        url: "Set",
        type: "LINK",
        parentId: "609",
        sequence: 6,
        enable: true
      },
      {
        id: "628",
        name: "考试管理-修改",
        url: "Edit",
        type: "LINK",
        parentId: "609",
        sequence: 7,
        enable: true
      }
    ],
    lists: [
      {
        id: "632",
        name: "考试管理-列表",
        url: "List",
        type: "LIST",
        parentId: "609",
        sequence: 7,
        enable: true
      }
    ],
    conditions: [
      {
        id: "615",
        name: "考试管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "609",
        sequence: 2,
        enable: true
      }
    ]
  },
  {
    id: "650",
    name: "基础信息",
    url: "baseInfo",
    type: "MENU",
    parentId: "-1",
    sequence: 2,
    enable: true
  },
  {
    id: "1",
    name: "基础配置",
    url: "base",
    type: "MENU",
    parentId: "-1",
    sequence: 3,
    enable: true
  },
  {
    id: "6",
    name: "角色管理",
    url: "RoleManage",
    type: "MENU",
    parentId: "2",
    sequence: 3,
    enable: true,
    urls: [
      {
        id: "83",
        name: "角色管理-查询",
        url: "/api/admin/sys/role/list",
        type: "URL",
        parentId: "6",
        sequence: 1,
        enable: true
      },
      {
        id: "84",
        name: "角色管理-删除",
        url: "/api/admin/sys/role/remove",
        type: "URL",
        parentId: "6",
        sequence: 2,
        enable: true
      },
      {
        id: "85",
        name: "角色管理-新增/修改",
        url: "/api/admin/sys/role/save",
        type: "URL",
        parentId: "6",
        sequence: 3,
        enable: true
      },
      {
        id: "91",
        name: "角色管理-角色已绑定权限列表",
        url: "/api/admin/sys/privilege/get_role_privileges",
        type: "URL",
        parentId: "6",
        sequence: 4,
        enable: true
      }
    ],
    buttons: [
      {
        id: "229",
        name: "角色管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "6",
        sequence: 1,
        enable: true
      },
      {
        id: "230",
        name: "角色管理-添加角色",
        url: "Add",
        type: "BUTTON",
        parentId: "6",
        sequence: 2,
        enable: true
      }
    ],
    links: [
      {
        id: "231",
        name: "角色管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "6",
        sequence: 1,
        enable: true
      },
      {
        id: "232",
        name: "角色管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "6",
        sequence: 2,
        enable: true
      },
      {
        id: "647",
        name: "角色管理-成员管理",
        url: "Manager",
        type: "LINK",
        parentId: "6",
        sequence: 3,
        enable: true
      }
    ],
    lists: [
      {
        id: "233",
        name: "角色管理-列表",
        url: "List",
        type: "LIST",
        parentId: "6",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "235",
        name: "角色管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "6",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "41",
    name: "入库审核",
    url: "TaskReviewManage",
    type: "MENU",
    parentId: "652",
    sequence: 3,
    enable: true,
    urls: [
      {
        id: "73",
        name: "入库审核-查询未审核",
        url: "/api/admin/exam/task/review_list_unaudited",
        type: "URL",
        parentId: "41",
        sequence: 1,
        enable: true
      },
      {
        id: "74",
        name: "入库审核-审核",
        url: "/api/admin/exam/task/review_save",
        type: "URL",
        parentId: "41",
        sequence: 2,
        enable: true
      },
      {
        id: "163",
        name: "入库审核-导出审核样本",
        url: "/api/admin/exam/task/review_export",
        type: "URL",
        parentId: "41",
        sequence: 4,
        enable: true
      },
      {
        id: "166",
        name: "入库审核-查询已审核",
        url: "/api/admin/exam/task/review_list_audited",
        type: "URL",
        parentId: "41",
        sequence: 5,
        enable: true
      }
    ],
    buttons: [
      {
        id: "288",
        name: "入库审核-未审核查询",
        url: "NotReviewSelect",
        type: "BUTTON",
        parentId: "41",
        sequence: 1,
        enable: true
      },
      {
        id: "295",
        name: "入库审核-已审核查询",
        url: "ReviewSelect",
        type: "BUTTON",
        parentId: "41",
        sequence: 1,
        enable: true
      },
      {
        id: "289",
        name: "入库审核-未审核导出审核样本",
        url: "NotReviewExport",
        type: "BUTTON",
        parentId: "41",
        sequence: 2,
        enable: true
      }
    ],
    links: [
      {
        id: "292",
        name: "入库审核-未审核编辑",
        url: "NotReviewEdit",
        type: "LINK",
        parentId: "41",
        sequence: 1,
        enable: true
      },
      {
        id: "296",
        name: "入库审核-已审核预览",
        url: "ReviewPreview",
        type: "LINK",
        parentId: "41",
        sequence: 1,
        enable: true
      }
    ],
    lists: [
      {
        id: "294",
        name: "入库审核-未审核列表",
        url: "NotReviewList",
        type: "LIST",
        parentId: "41",
        sequence: 1,
        enable: true
      },
      {
        id: "298",
        name: "入库审核-已审核列表",
        url: "ReviewList",
        type: "LIST",
        parentId: "41",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "293",
        name: "入库审核-未审核查询条件",
        url: "NotReviewCondition",
        type: "CONDITION",
        parentId: "41",
        sequence: 1,
        enable: true
      },
      {
        id: "297",
        name: "入库审核-已审核查询条件",
        url: "ReviewCondition",
        type: "CONDITION",
        parentId: "41",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "45",
    name: "考务明细查询",
    url: "BusinessDataDetail",
    type: "MENU",
    parentId: "38",
    sequence: 3,
    enable: true,
    urls: [
      {
        id: "159",
        name: "考务明细查询-查询",
        url: "/api/admin/exam/print/data_detail",
        type: "URL",
        parentId: "45",
        sequence: 1,
        enable: true
      },
      {
        id: "188",
        name: "考务明细查询-学生明细",
        url: "/api/admin/exam/print/get_student_detail",
        type: "URL",
        parentId: "45",
        sequence: 2,
        enable: true
      }
    ],
    buttons: [
      {
        id: "323",
        name: "考务明细查询-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "45",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "324",
        name: "考务明细查询-预览",
        url: "Preview",
        type: "LINK",
        parentId: "45",
        sequence: 1,
        enable: true
      }
    ],
    lists: [
      {
        id: "326",
        name: "考务明细查询-列表",
        url: "List",
        type: "LIST",
        parentId: "45",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "325",
        name: "考务明细查询-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "45",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "390",
    name: "流程管理",
    url: "flow",
    type: "MENU",
    parentId: "1",
    sequence: 3,
    enable: true
  },
  {
    id: "486",
    name: "阅卷管理",
    url: "MarkTaskManage",
    type: "MENU",
    parentId: "483",
    sequence: 3,
    enable: true
  },
  {
    id: "549",
    name: "短信日志",
    url: "SmsManage",
    type: "MENU",
    parentId: "112",
    sequence: 3,
    enable: true,
    buttons: [
      {
        id: "550",
        name: "短信日志-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "549",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "556",
        name: "短信日志-短信失败重发",
        url: "Send",
        type: "LINK",
        parentId: "549",
        sequence: 1,
        enable: true
      }
    ],
    lists: [
      {
        id: "555",
        name: "短信日志-列表",
        url: "List",
        type: "LIST",
        parentId: "549",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "554",
        name: "短信日志-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "549",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "624",
    name: "通卡管理",
    url: "CardManage",
    type: "MENU",
    parentId: "3",
    sequence: 3,
    enable: true,
    urls: [
      {
        id: "627",
        name: "题卡管理-查询",
        url: "/api/admin/exam/card/page",
        type: "URL",
        parentId: "624",
        sequence: 1,
        enable: true
      },
      {
        id: "636",
        name: "题卡管理-删除",
        url: "/api/admin/exam/card/delete_generic",
        type: "URL",
        parentId: "624",
        sequence: 2,
        enable: true
      },
      {
        id: "631",
        name: "题卡管理-新增/修改",
        url: "/api/admin/exam/card/save_generic",
        type: "URL",
        parentId: "624",
        sequence: 5,
        enable: true
      }
    ],
    buttons: [
      {
        id: "625",
        name: "题卡管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "624",
        sequence: 1,
        enable: true
      },
      {
        id: "629",
        name: "题卡管理-新增",
        url: "Add",
        type: "BUTTON",
        parentId: "624",
        sequence: 3,
        enable: true
      }
    ],
    links: [
      {
        id: "630",
        name: "题卡管理-修改",
        url: "Edit",
        type: "LINK",
        parentId: "624",
        sequence: 4,
        enable: true
      },
      {
        id: "635",
        name: "题卡管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "624",
        sequence: 6,
        enable: true
      }
    ],
    lists: [
      {
        id: "633",
        name: "题卡管理-列表",
        url: "List",
        type: "LIST",
        parentId: "624",
        sequence: 5,
        enable: true
      }
    ],
    conditions: [
      {
        id: "626",
        name: "题卡管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "624",
        sequence: 2,
        enable: true
      }
    ]
  },
  {
    id: "11",
    name: "变量印品模板",
    url: "ParamPrintTemplate",
    type: "MENU",
    parentId: "3",
    sequence: 4,
    enable: true,
    urls: [
      {
        id: "123",
        name: "变量印品模板-查询",
        url: "/api/admin/basic/template/list",
        type: "URL",
        parentId: "11",
        sequence: 1,
        enable: true
      },
      {
        id: "124",
        name: "变量印品模板-新增/修改",
        url: "/api/admin/basic/template/save",
        type: "URL",
        parentId: "11",
        sequence: 2,
        enable: true
      },
      {
        id: "125",
        name: "变量印品模板-启用/禁用",
        url: "/api/admin/basic/template/enable",
        type: "URL",
        parentId: "11",
        sequence: 3,
        enable: true
      }
    ],
    buttons: [
      {
        id: "249",
        name: "变量印品模版-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "11",
        sequence: 1,
        enable: true
      },
      {
        id: "250",
        name: "变量印品模版-添加模版",
        url: "Add",
        type: "BUTTON",
        parentId: "11",
        sequence: 2,
        enable: true
      }
    ],
    links: [
      {
        id: "251",
        name: "变量印品模版-预览",
        url: "Preview",
        type: "LINK",
        parentId: "11",
        sequence: 1,
        enable: true
      },
      {
        id: "252",
        name: "变量印品模版-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "11",
        sequence: 2,
        enable: true
      },
      {
        id: "253",
        name: "变量印品模版-启用&禁用",
        url: "Enable",
        type: "LINK",
        parentId: "11",
        sequence: 3,
        enable: true
      }
    ],
    lists: [
      {
        id: "255",
        name: "变量印品模版-列表",
        url: "List",
        type: "LIST",
        parentId: "11",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "254",
        name: "变量印品模版-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "11",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "42",
    name: "卷库查询",
    url: "TaskPaperManage",
    type: "MENU",
    parentId: "652",
    sequence: 4,
    enable: true,
    urls: [
      {
        id: "76",
        name: "卷库查询-查询",
        url: "/api/admin/exam/task/paper_list",
        type: "URL",
        parentId: "42",
        sequence: 1,
        enable: true
      },
      {
        id: "425",
        name: "卷库查询-发布印刷任务-查看列表",
        url: "/api/admin/exam/task/list_task_print",
        type: "URL",
        parentId: "42",
        sequence: 1,
        enable: true
      },
      {
        id: "164",
        name: "卷库查询-下载试卷",
        url: "/api/admin/exam/task/paper_download",
        type: "URL",
        parentId: "42",
        sequence: 2,
        enable: true
      },
      {
        id: "426",
        name: "卷库查询-发布印刷任务-班级列表",
        url: "/api/admin/exam/task/list_task_print_class",
        type: "URL",
        parentId: "42",
        sequence: 2,
        enable: true
      },
      {
        id: "165",
        name: "卷库查询-试卷启用/禁用",
        url: "/api/admin/exam/task/paper_enable",
        type: "URL",
        parentId: "42",
        sequence: 3,
        enable: true
      },
      {
        id: "427",
        name: "卷库查询-发布印刷任务-印刷室列表",
        url: "/api/admin/exam/task/list_task_print_house",
        type: "URL",
        parentId: "42",
        sequence: 3,
        enable: true
      },
      {
        id: "189",
        name: "卷库查询-修改",
        url: "/api/admin/exam/task/paper_update",
        type: "URL",
        parentId: "42",
        sequence: 4,
        enable: true
      },
      {
        id: "428",
        name: "卷库查询-发布印刷任务",
        url: "/api/admin/exam/task/save_task_print",
        type: "URL",
        parentId: "42",
        sequence: 4,
        enable: true
      },
      {
        id: "191",
        name: "卷库查询-批量下载试卷PDF、题卡",
        url: "/api/admin/exam/task/paper_card_download_pdf",
        type: "URL",
        parentId: "42",
        sequence: 5,
        enable: true
      },
      {
        id: "429",
        name: "卷库查询-发布印刷任务-查看考生",
        url: "/api/admin/exam/task/list_task_print_student",
        type: "URL",
        parentId: "42",
        sequence: 5,
        enable: true
      },
      {
        id: "430",
        name: "卷库查询-发布印刷任务-删除",
        url: "/api/admin/exam/task/remove_task_print",
        type: "URL",
        parentId: "42",
        sequence: 6,
        enable: true
      },
      {
        id: "449",
        name: "卷库查询-发布印刷任务-提交任务",
        url: "/api/admin/exam/task/submit_task_print",
        type: "URL",
        parentId: "42",
        sequence: 7,
        enable: true
      }
    ],
    buttons: [
      {
        id: "299",
        name: "卷库查询-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "42",
        sequence: 1,
        enable: true
      },
      {
        id: "300",
        name: "卷库查询-批量下载试卷题卡",
        url: "BatchDownload",
        type: "BUTTON",
        parentId: "42",
        sequence: 2,
        enable: true
      }
    ],
    links: [
      {
        id: "301",
        name: "卷库查询-预览",
        url: "Preview",
        type: "LINK",
        parentId: "42",
        sequence: 1,
        enable: true
      },
      {
        id: "302",
        name: "卷库查询-启用&禁用",
        url: "Enable",
        type: "LINK",
        parentId: "42",
        sequence: 2,
        enable: true
      },
      {
        id: "303",
        name: "卷库查询-下载",
        url: "Download",
        type: "LINK",
        parentId: "42",
        sequence: 3,
        enable: true
      },
      {
        id: "306",
        name: "卷库查询-发布印刷任务",
        url: "Publish",
        type: "LINK",
        parentId: "42",
        sequence: 4,
        enable: true
      },
      {
        id: "308",
        name: "卷库查询-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "42",
        sequence: 4,
        enable: true
      }
    ],
    lists: [
      {
        id: "305",
        name: "卷库查询-列表",
        url: "List",
        type: "LIST",
        parentId: "42",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "304",
        name: "卷库查询-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "42",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "46",
    name: "关联试卷管理",
    url: "PlanLinkPaper",
    type: "MENU",
    parentId: "38",
    sequence: 4,
    enable: true,
    urls: [
      {
        id: "56",
        name: "关联试卷管理-查询",
        url: "/api/admin/exam/print/relate_list",
        type: "URL",
        parentId: "46",
        sequence: 1,
        enable: true
      },
      {
        id: "57",
        name: "关联试卷管理-关联/更换试卷",
        url: "/api/admin/exam/print/relate_update",
        type: "URL",
        parentId: "46",
        sequence: 2,
        enable: true
      },
      {
        id: "58",
        name: "关联试卷管理-查询所有试卷编号/关联卷型",
        url: "/api/admin/exam/print/relate_get_paper_numbers",
        type: "URL",
        parentId: "46",
        sequence: 3,
        enable: true
      }
    ],
    buttons: [
      {
        id: "327",
        name: "关联试卷管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "46",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "328",
        name: "关联试卷管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "46",
        sequence: 1,
        enable: true
      }
    ],
    lists: [
      {
        id: "330",
        name: "关联试卷管理-列表",
        url: "List",
        type: "LIST",
        parentId: "46",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "329",
        name: "关联试卷管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "46",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "356",
    name: "字典管理",
    url: "dictionary",
    type: "MENU",
    parentId: "1",
    sequence: 4,
    enable: true
  },
  {
    id: "515",
    name: "专业管理",
    url: "MajorManage",
    type: "MENU",
    parentId: "356",
    sequence: 4,
    enable: true,
    urls: [
      {
        id: "536",
        name: "专业管理-查询",
        url: "/api/admin/basic/major/query",
        type: "URL",
        parentId: "515",
        sequence: 1,
        enable: true
      },
      {
        id: "537",
        name: "专业管理-新增/编辑",
        url: "/api/admin/basic/major/save",
        type: "URL",
        parentId: "515",
        sequence: 2,
        enable: true
      },
      {
        id: "538",
        name: "专业管理-删除）",
        url: "/api/admin/basic/major/delete",
        type: "URL",
        parentId: "515",
        sequence: 3,
        enable: true
      }
    ],
    buttons: [
      {
        id: "516",
        name: "专业管理-新增专业",
        url: "Add",
        type: "BUTTON",
        parentId: "515",
        sequence: 1,
        enable: true
      },
      {
        id: "522",
        name: "专业管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "515",
        sequence: 1,
        enable: true
      },
      {
        id: "572",
        name: "专业管理-批量删除",
        url: "Delete",
        type: "BUTTON",
        parentId: "515",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "517",
        name: "专业管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "515",
        sequence: 1,
        enable: true
      },
      {
        id: "518",
        name: "专业管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "515",
        sequence: 2,
        enable: true
      }
    ],
    lists: [
      {
        id: "519",
        name: "专业管理-列表",
        url: "List",
        type: "LIST",
        parentId: "515",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "520",
        name: "专业管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "515",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "51125",
    name: "学院管理",
    url: "CollegeManage",
    type: "MENU",
    parentId: "356",
    sequence: 4,
    enable: true,
    urls: [
      {
        id: "536",
        name: "专业管理-查询",
        url: "/api/admin/basic/major/query",
        type: "URL",
        parentId: "515",
        sequence: 1,
        enable: true
      },
      {
        id: "537",
        name: "专业管理-新增/编辑",
        url: "/api/admin/basic/major/save",
        type: "URL",
        parentId: "515",
        sequence: 2,
        enable: true
      },
      {
        id: "538",
        name: "专业管理-删除）",
        url: "/api/admin/basic/major/delete",
        type: "URL",
        parentId: "515",
        sequence: 3,
        enable: true
      }
    ],
    buttons: [
      {
        id: "516",
        name: "专业管理-新增专业",
        url: "Add",
        type: "BUTTON",
        parentId: "515",
        sequence: 1,
        enable: true
      },
      {
        id: "522",
        name: "专业管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "515",
        sequence: 1,
        enable: true
      },
      {
        id: "572",
        name: "专业管理-批量删除",
        url: "Delete",
        type: "BUTTON",
        parentId: "515",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "517",
        name: "专业管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "515",
        sequence: 1,
        enable: true
      },
      {
        id: "518",
        name: "专业管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "515",
        sequence: 2,
        enable: true
      }
    ],
    lists: [
      {
        id: "519",
        name: "专业管理-列表",
        url: "List",
        type: "LIST",
        parentId: "515",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "520",
        name: "专业管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "515",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "651",
    name: "电子交卷",
    url: "electronic",
    type: "MENU",
    parentId: "-1",
    sequence: 4,
    enable: true
  },
  {
    id: "653",
    name: "下载管理",
    url: "DownloadManage",
    type: "MENU",
    parentId: "112",
    sequence: 4,
    enable: true,
    urls: [
      {
        id: "659",
        name: "下载管理-查询",
        url: "/api/admin/data/download/page",
        type: "URL",
        parentId: "653",
        sequence: 1,
        enable: true
      },
      {
        id: "660",
        name: "下载管理-下载文件",
        url: "/api/admin/data/download/download_one",
        type: "URL",
        parentId: "653",
        sequence: 2,
        enable: true
      },
      {
        id: "661",
        name: "下载管理-批量下载文件",
        url: "/api/admin/data/download/download_batch",
        type: "URL",
        parentId: "653",
        sequence: 3,
        enable: true
      }
    ],
    buttons: [
      {
        id: "654",
        name: "下载管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "653",
        sequence: 1,
        enable: true
      },
      {
        id: "657",
        name: "下载管理-批量下载文件",
        url: "Download",
        type: "BUTTON",
        parentId: "653",
        sequence: 4,
        enable: true
      }
    ],
    links: [
      {
        id: "656",
        name: "下载管理-下载文件",
        url: "Download",
        type: "LINK",
        parentId: "653",
        sequence: 3,
        enable: true
      }
    ],
    lists: [
      {
        id: "658",
        name: "下载管理-列表",
        url: "List",
        type: "LIST",
        parentId: "653",
        sequence: 5,
        enable: true
      }
    ],
    conditions: [
      {
        id: "655",
        name: "下载管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "653",
        sequence: 2,
        enable: true
      }
    ]
  },
  {
    id: "12",
    name: "普通印品模板",
    url: "CommonPrintTemplate",
    type: "MENU",
    parentId: "3",
    sequence: 5,
    enable: true,
    urls: [
      {
        id: "126",
        name: "普通印品模板-查询",
        url: "/api/admin/basic/template/list",
        type: "URL",
        parentId: "12",
        sequence: 1,
        enable: true
      },
      {
        id: "127",
        name: "普通印品模板-新增/修改",
        url: "/api/admin/basic/template/save",
        type: "URL",
        parentId: "12",
        sequence: 2,
        enable: true
      },
      {
        id: "128",
        name: "普通印品模板-启用/禁用",
        url: "/api/admin/basic/template/enable",
        type: "URL",
        parentId: "12",
        sequence: 3,
        enable: true
      }
    ],
    buttons: [
      {
        id: "256",
        name: "普通印品模版-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "12",
        sequence: 1,
        enable: true
      },
      {
        id: "257",
        name: "普通印品模版-添加模版",
        url: "Add",
        type: "BUTTON",
        parentId: "12",
        sequence: 2,
        enable: true
      }
    ],
    links: [
      {
        id: "258",
        name: "普通印品模版-预览",
        url: "Preview",
        type: "LINK",
        parentId: "12",
        sequence: 1,
        enable: true
      },
      {
        id: "259",
        name: "普通印品模版-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "12",
        sequence: 2,
        enable: true
      },
      {
        id: "260",
        name: "普通印品模版-启用&禁用",
        url: "Enable",
        type: "LINK",
        parentId: "12",
        sequence: 3,
        enable: true
      }
    ],
    lists: [
      {
        id: "262",
        name: "普通印品模版-列表",
        url: "List",
        type: "LIST",
        parentId: "12",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "261",
        name: "普通印品模版-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "12",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "14",
    name: "考试中心",
    url: "exam",
    type: "MENU",
    parentId: "-1",
    sequence: 5,
    enable: true
  },
  {
    id: "47",
    name: "印刷任务管理",
    url: "PrintTaskManage",
    type: "MENU",
    parentId: "38",
    sequence: 5,
    enable: true,
    urls: [
      {
        id: "59",
        name: "印刷任务管理-查询",
        url: "/api/admin/exam/print/task_list",
        type: "URL",
        parentId: "47",
        sequence: 1,
        enable: true
      },
      {
        id: "60",
        name: "印刷任务管理-提交印刷",
        url: "/api/admin/exam/print/task_submit",
        type: "URL",
        parentId: "47",
        sequence: 2,
        enable: true
      },
      {
        id: "61",
        name: "印刷任务管理-撤回提交",
        url: "/api/admin/exam/print/task_cancel",
        type: "URL",
        parentId: "47",
        sequence: 3,
        enable: true
      },
      {
        id: "62",
        name: "印刷任务管理-汇总数据查询",
        url: "/api/admin/exam/print/task_total_data",
        type: "URL",
        parentId: "47",
        sequence: 4,
        enable: true
      },
      {
        id: "446",
        name: "印刷任务管理-做废/恢复",
        url: "/api/admin/exam/print/task_normal",
        type: "URL",
        parentId: "47",
        sequence: 4,
        enable: true
      },
      {
        id: "161",
        name: "印刷任务管理-查看PDF",
        url: "/api/admin/exam/print/task_view_pdf",
        type: "URL",
        parentId: "47",
        sequence: 6,
        enable: true
      },
      {
        id: "162",
        name: "印刷任务管理-批量下载PDF",
        url: "/api/admin/exam/print/task_download_pdf",
        type: "URL",
        parentId: "47",
        sequence: 7,
        enable: true
      }
    ],
    buttons: [
      {
        id: "331",
        name: "印刷任务管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "47",
        sequence: 1,
        enable: true
      },
      {
        id: "336",
        name: "印刷任务管理-批量下载PDF",
        url: "BatchDownload",
        type: "BUTTON",
        parentId: "47",
        sequence: 2,
        enable: true
      }
    ],
    links: [
      {
        id: "332",
        name: "印刷任务管理-下载",
        url: "Download",
        type: "LINK",
        parentId: "47",
        sequence: 1,
        enable: true
      },
      {
        id: "335",
        name: "印刷任务管理-撤回",
        url: "End",
        type: "LINK",
        parentId: "47",
        sequence: 2,
        enable: true
      },
      {
        id: "447",
        name: "印刷任务管理-做废/恢复",
        url: "Normal",
        type: "LINK",
        parentId: "47",
        sequence: 3,
        enable: true
      },
      {
        id: "562",
        name: "印刷任务管理-提交印刷",
        url: "Submit",
        type: "LINK",
        parentId: "47",
        sequence: 5,
        enable: true
      }
    ],
    lists: [
      {
        id: "334",
        name: "印刷任务管理-列表",
        url: "List",
        type: "LIST",
        parentId: "47",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "333",
        name: "印刷任务管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "47",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "112",
    name: "系统设置",
    url: "data",
    type: "MENU",
    parentId: "1",
    sequence: 5,
    enable: true
  },
  {
    id: "450",
    name: "班级管理",
    url: "ClazzManage",
    type: "MENU",
    parentId: "356",
    sequence: 5,
    enable: true,
    urls: [
      {
        id: "451",
        name: "班级基本信息管理-查询",
        url: "/api/admin/basic/clazz/query",
        type: "URL",
        parentId: "450",
        sequence: 1,
        enable: true
      },
      {
        id: "452",
        name: "班级基本信息管理-新增/编辑",
        url: "/api/admin/basic/clazz/save",
        type: "URL",
        parentId: "450",
        sequence: 2,
        enable: true
      },
      {
        id: "453",
        name: "班级基本信息管理-批量删除（逻辑）",
        url: "/api/admin/basic/clazz/delete_batch",
        type: "URL",
        parentId: "450",
        sequence: 3,
        enable: true
      },
      {
        id: "454",
        name: "班级基本信息管理-批量导入（异步）",
        url: "/api/admin/basic/clazz/data_import",
        type: "URL",
        parentId: "450",
        sequence: 4,
        enable: true
      },
      {
        id: "462",
        name: "班级数据源查询",
        url: "/api/admin/basic/clazz/datasource",
        type: "URL",
        parentId: "450",
        sequence: 5,
        enable: true
      }
    ],
    buttons: [
      {
        id: "455",
        name: "班级管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "450",
        sequence: 1,
        enable: true
      },
      {
        id: "457",
        name: "班级管理-新增",
        url: "Add",
        type: "BUTTON",
        parentId: "450",
        sequence: 1,
        enable: true
      },
      {
        id: "571",
        name: "班级管理-批量删除",
        url: "Delete",
        type: "BUTTON",
        parentId: "450",
        sequence: 1,
        enable: true
      },
      {
        id: "460",
        name: "班级管理-批量导入",
        url: "Import",
        type: "BUTTON",
        parentId: "450",
        sequence: 2,
        enable: true
      }
    ],
    links: [
      {
        id: "458",
        name: "班级管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "450",
        sequence: 1,
        enable: true
      },
      {
        id: "459",
        name: "班级管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "450",
        sequence: 1,
        enable: true
      }
    ],
    lists: [
      {
        id: "456",
        name: "班级管理-列表",
        url: "List",
        type: "LIST",
        parentId: "450",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "461",
        name: "班级管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "450",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "358",
    name: "学生管理",
    url: "StudentManage",
    type: "MENU",
    parentId: "356",
    sequence: 6,
    enable: true,
    urls: [
      {
        id: "362",
        name: "学生基本信息管理-查询",
        url: "/api/admin/basic/student/query",
        type: "URL",
        parentId: "358",
        sequence: 1,
        enable: true
      },
      {
        id: "363",
        name: "学生基本信息管理-新增/编辑",
        url: "/api/admin/basic/student/save",
        type: "URL",
        parentId: "358",
        sequence: 2,
        enable: true
      },
      {
        id: "364",
        name: "学生基本信息管理-批量删除（逻辑）",
        url: "/api/admin/basic/student/delete_batch",
        type: "URL",
        parentId: "358",
        sequence: 3,
        enable: true
      },
      {
        id: "365",
        name: "学生基本信息管理-批量导入（异步）",
        url: "/api/admin/basic/student/data_import",
        type: "URL",
        parentId: "358",
        sequence: 4,
        enable: true
      },
      {
        id: "569",
        name: "学生基本信息管理-根据条件删除（物理）",
        url: "/api/admin/basic/student/delete_by_condition",
        type: "URL",
        parentId: "358",
        sequence: 5,
        enable: true
      }
    ],
    buttons: [
      {
        id: "377",
        name: "学生管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "358",
        sequence: 1,
        enable: true
      },
      {
        id: "379",
        name: "学生管理-新增",
        url: "Add",
        type: "BUTTON",
        parentId: "358",
        sequence: 1,
        enable: true
      },
      {
        id: "570",
        name: "学生管理-根据条件删除",
        url: "Delete",
        type: "BUTTON",
        parentId: "358",
        sequence: 1,
        enable: true
      },
      {
        id: "382",
        name: "学生管理-批量导入",
        url: "Import",
        type: "BUTTON",
        parentId: "358",
        sequence: 2,
        enable: true
      }
    ],
    links: [
      {
        id: "380",
        name: "学生管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "358",
        sequence: 1,
        enable: true
      },
      {
        id: "381",
        name: "学生管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "358",
        sequence: 1,
        enable: true
      }
    ],
    lists: [
      {
        id: "378",
        name: "学生管理-列表",
        url: "List",
        type: "LIST",
        parentId: "358",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "400",
        name: "学生管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "358",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "392",
    name: "印刷计划合并管理",
    url: "PrintPlanPushManage",
    type: "MENU",
    parentId: "3",
    sequence: 6,
    enable: true,
    urls: [
      {
        id: "431",
        name: "印刷计划合并管理-计划查询",
        url: "/api/admin/exam/print_sync/list_sync",
        type: "URL",
        parentId: "392",
        sequence: 6,
        enable: true
      },
      {
        id: "432",
        name: "印刷计划合并管理-合并推送-云阅卷考试ID列表",
        url: "/api/admin/exam/print_sync/list_relate_ids",
        type: "URL",
        parentId: "392",
        sequence: 6,
        enable: true
      },
      {
        id: "433",
        name: "印刷计划合并管理-合并推送-多计划合并同步",
        url: "/api/admin/exam/print_sync/sync_data_merge",
        type: "URL",
        parentId: "392",
        sequence: 6,
        enable: true
      },
      {
        id: "434",
        name: "印刷计划合并管理-批量同步",
        url: "/api/admin/exam/print_sync/sync_data_cloud_batch",
        type: "URL",
        parentId: "392",
        sequence: 6,
        enable: true
      },
      {
        id: "435",
        name: "印刷计划合并管理-同步失败-单个手动同步",
        url: "/api/admin/exam/print_sync/sync_data_cloud",
        type: "URL",
        parentId: "392",
        sequence: 6,
        enable: true
      }
    ],
    buttons: [
      {
        id: "393",
        name: "印刷计划合并管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "392",
        sequence: 1,
        enable: true
      },
      {
        id: "394",
        name: "印刷计划合并管理-批量推送",
        url: "BatchSend",
        type: "BUTTON",
        parentId: "392",
        sequence: 2,
        enable: true
      },
      {
        id: "395",
        name: "印刷计划合并管理-合并推送印刷计划",
        url: "MergeSend",
        type: "BUTTON",
        parentId: "392",
        sequence: 3,
        enable: true
      }
    ],
    links: [
      {
        id: "396",
        name: "印刷计划合并管理-预览",
        url: "Preview",
        type: "LINK",
        parentId: "392",
        sequence: 1,
        enable: true
      },
      {
        id: "397",
        name: "印刷计划合并管理-推送",
        url: "Send",
        type: "LINK",
        parentId: "392",
        sequence: 2,
        enable: true
      }
    ],
    lists: [
      {
        id: "399",
        name: "印刷计划合并管理-列表",
        url: "List",
        type: "LIST",
        parentId: "392",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "398",
        name: "印刷计划合并管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "392",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "483",
    name: "阅卷管理",
    url: "stmms",
    type: "MENU",
    parentId: "-1",
    sequence: 6,
    enable: true
  },
  {
    id: "13",
    name: "课程管理",
    url: "CourseManage",
    type: "MENU",
    parentId: "356",
    sequence: 7,
    enable: true,
    urls: [
      {
        id: "96",
        name: "课程管理-查询",
        url: "/api/admin/basic/course/list",
        type: "URL",
        parentId: "13",
        sequence: 1,
        enable: true
      },
      {
        id: "97",
        name: "课程管理-新增/修改",
        url: "/api/admin/basic/course/save",
        type: "URL",
        parentId: "13",
        sequence: 2,
        enable: true
      },
      {
        id: "367",
        name: "课程管理-新增/编辑",
        url: "/api/admin/basic/course/save",
        type: "URL",
        parentId: "13",
        sequence: 2,
        enable: true
      },
      {
        id: "368",
        name: "课程管理-批量启用&禁用",
        url: "/api/admin/basic/course/enable",
        type: "URL",
        parentId: "13",
        sequence: 3,
        enable: true
      },
      {
        id: "369",
        name: "课程基本信息管理-批量导入（异步）",
        url: "/api/admin/basic/course/data_import",
        type: "URL",
        parentId: "13",
        sequence: 4,
        enable: true
      },
      {
        id: "573",
        name: "课程管理-根据查询条件批量启用/禁用",
        url: "/api/admin/basic/course/enable_by_query",
        type: "URL",
        parentId: "13",
        sequence: 5,
        enable: true
      }
    ],
    buttons: [
      {
        id: "263",
        name: "课程管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "13",
        sequence: 1,
        enable: true
      },
      {
        id: "385",
        name: "课程管理-新增",
        url: "Add",
        type: "BUTTON",
        parentId: "13",
        sequence: 1,
        enable: true
      },
      {
        id: "388",
        name: "课程管理-批量导入",
        url: "Import",
        type: "BUTTON",
        parentId: "13",
        sequence: 2,
        enable: true
      },
      {
        id: "265",
        name: "课程管理-模版下载",
        url: "TempleteDownload",
        type: "BUTTON",
        parentId: "13",
        sequence: 3,
        enable: true
      },
      {
        id: "574",
        name: "课程管理-根据查询条件批量启用/禁用",
        url: "Enable",
        type: "BUTTON",
        parentId: "13",
        sequence: 5,
        enable: true
      }
    ],
    links: [
      {
        id: "268",
        name: "课程管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "13",
        sequence: 1,
        enable: true
      },
      {
        id: "269",
        name: "课程管理-批量启用&禁用",
        url: "Enable",
        type: "LINK",
        parentId: "13",
        sequence: 2,
        enable: true
      }
    ],
    lists: [
      {
        id: "271",
        name: "课程管理-列表",
        url: "List",
        type: "LIST",
        parentId: "13",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "270",
        name: "课程管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "13",
        sequence: 2,
        enable: true
      }
    ]
  },
  {
    id: "506",
    name: "归档管理",
    url: "ScoreArchiveManage",
    type: "MENU",
    parentId: "-1",
    sequence: 7,
    enable: true
  }
];
