// user
import OrganizationManage from "./views/OrganizationManage.vue";
import RoleManage from "./views/RoleManage.vue";
import UserManage from "./views/UserManage.vue";
// rule
import CommonRule from "./views/CommonRule.vue";
import CardRuleManage from "./views/CardRuleManage.vue";
import PrintTemplateManage from "./views/PrintTemplateManage.vue";
import PrintPlanPushManage from "./views/PrintPlanPushManage.vue";
import FlowManage from "./views/FlowManage.vue";
import ApproveRecordManage from "./views/ApproveRecordManage.vue";
import SmsManage from "./views/SmsManage.vue";
import CardManage from "./views/CardManage.vue";
// dict
import StudentManage from "./views/StudentManage.vue";
import CourseManage from "./views/CourseManage.vue";
import ClazzManage from "./views/ClazzManage.vue";
import SemesterManage from "./views/SemesterManage.vue";
import MajorManage from "./views/MajorManage.vue";
import CollegeManage from "./views/CollegeManage.vue";
import ExamManage from "./views/ExamManage.vue";
import CourseSimpleManage from "./views/CourseSimpleManage.vue";
import ClazzSimpleManage from "./views/ClazzSimpleManage.vue";

export default [
  {
    path: "/base/organization-manage",
    name: "OrganizationManage",
    component: OrganizationManage
  },
  {
    path: "/base/role-manage",
    name: "RoleManage",
    component: RoleManage
  },
  {
    path: "/base/user-manage",
    name: "UserManage",
    component: UserManage
  },
  {
    path: "/base/common-rule",
    name: "CommonRule",
    component: CommonRule
  },
  {
    path: "/base/card-rule-manage",
    name: "CardRuleManage",
    component: CardRuleManage
  },
  {
    path: "/base/print-template-manage",
    name: "PrintTemplateManage",
    component: PrintTemplateManage
  },
  {
    path: "/base/param-print-template",
    name: "ParamPrintTemplate",
    component: PrintTemplateManage
  },
  {
    path: "/base/common-print-template",
    name: "CommonPrintTemplate",
    component: PrintTemplateManage
  },
  {
    path: "/base/print-plan-push-manage",
    name: "PrintPlanPushManage",
    component: PrintPlanPushManage
  },
  {
    path: "/base/flow-manage",
    name: "FlowManage",
    component: FlowManage
  },
  {
    path: "/base/approve-record-manage",
    name: "ApproveRecordManage",
    component: ApproveRecordManage
  },
  {
    path: "/base/course-manage",
    name: "CourseManage",
    component: CourseManage
  },
  {
    path: "/base/student-manage",
    name: "StudentManage",
    component: StudentManage
  },
  {
    path: "/base/clazz-manage",
    name: "ClazzManage",
    component: ClazzManage
  },
  {
    path: "/base/semester-manage",
    name: "SemesterManage",
    component: SemesterManage
  },
  {
    path: "/base/major-manage",
    name: "MajorManage",
    component: MajorManage
  },
  {
    path: "/base/college-manage",
    name: "CollegeManage",
    component: CollegeManage
  },
  {
    path: "/base/sms-manage",
    name: "SmsManage",
    component: SmsManage
  },
  {
    path: "/base/exam-manage",
    name: "ExamManage",
    component: ExamManage
  },
  {
    path: "/base/course-simple-manage",
    name: "CourseSimpleManage",
    component: CourseSimpleManage
  },
  {
    path: "/base/clazz-simple-manage/:teachCourseId?",
    name: "ClazzSimpleManage",
    component: ClazzSimpleManage
  },
  {
    path: "/base/card-manage",
    name: "CardManage",
    component: CardManage
  }
];
