import { randomCode } from "./plugins/utils";
import Vue from "vue";

export const cardConfigInfos = () => {
  return Promise.resolve({
    id: "173438690998091776",
    createId: "173437828976345088",
    createTime: 1632291806278,
    updateId: null,
    updateTime: 1632291806278,
    schoolId: "2",
    orgId: "173436480729907200",
    name: "测试题卡规则1",
    examNumberStyle: "PRINT",
    paperType: "PRINT",
    examAbsent: true,
    writeSign: true,
    requiredFields:
      '[{"code":"ticketNumber","name":"考号","enable":true,"selected":false},{"code":"siteNumber","name":"座位号","enable":true,"selected":false},{"code":"studentName","name":"姓名","enable":true,"selected":false},{"code":"courseName","name":"课程名称","enable":true,"selected":false}]',
    extendFields: "[]",
    // extendFields:
    //   '[{"code":"studentCode","name":"学号","enable":true,"selected":false},{"code":"courseCode","name":"课程代码","enable":true,"selected":false},{"code":"paperNumber","name":"试卷编号","enable":true,"selected":false},{"code":"campusName","name":"校区","enable":true,"selected":false},{"code":"examPlace","name":"考点","enable":true,"selected":false},{"code":"examRoom","name":"考场","enable":true,"selected":false},{"code":"examDate","name":"考试日期","enable":true,"selected":false},{"code":"examTime","name":"考试时间","enable":true,"selected":false}]',
    titleRule: "测试题卡规则1",
    attention: "测试题卡规则1",
    objectiveAttention: "测试题卡规则1",
    subjectiveAttention: "测试题卡规则1",
    enable: true,
    remark: "测试题卡规则1",
    orgIds: null
  });
};
export const cardDetail = () => {
  const cardData = Vue.ls.get("cardData", {});
  return Promise.resolve(cardData);
};

export const saveCard = datas => {
  Vue.ls.set("cardData", datas);
  return Promise.resolve(randomCode());
};
